Bug 468902 - should require pulseaudio alsa plugin
should require pulseaudio alsa plugin
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-28 14:32 EDT by Bastien Nocera
Modified: 2009-02-18 11:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-18 11:39:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-10-28 14:32:08 EDT
nsplugginwrapper should require alsa-plugins-pulseaudio.i386 (or the documentation should be fixed), otherwise I need to launch my browser from a terminal to see what's going wrong.

ALSA lib pcm.c:2162:(snd_pcm_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_pcm_pulse.so
ALSA lib pcm.c:2162:(snd_pcm_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_pcm_pulse.so
ALSA lib pcm.c:2162:(snd_pcm_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_pcm_pulse.so

Oops
Comment 1 Warren Togami 2008-10-28 16:24:15 EDT
We generally support operation of the desktop with pulseaudio ripped out and disabled.  Our options are either:

1) nspluginwrapper needs runtime detection to work without it.  
2) Change the OS expectation that it is allowed to rip out pulseaudio.
Comment 2 Bug Zapper 2008-11-25 23:23:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.